Index: uspace/srv/net/il/ip/ip.c
===================================================================
--- uspace/srv/net/il/ip/ip.c	(revision b5cbff48576a057d15deb2e28751ec635d099719)
+++ uspace/srv/net/il/ip/ip.c	(revision 936835e135a18adfccf27258eb51edd1dd5fe962)
@@ -1063,119 +1099,133 @@
 			}
 		}
-		next = pq_next( next );
+		next = pq_next(next);
 	}
 	return packet;
 }
 
-int ip_fragment_packet( packet_t packet, size_t length, size_t prefix, size_t suffix, socklen_t addr_len ){
+int ip_fragment_packet(packet_t packet, size_t length, size_t prefix, size_t suffix, socklen_t addr_len){
 	ERROR_DECLARE;
 
-	packet_t		new_packet;
-	ip_header_ref	header;
-	ip_header_ref	middle_header;
-	ip_header_ref	last_header;
-	struct sockaddr *		src;
-	struct sockaddr *		dest;
-	socklen_t		addrlen;
-	int				result;
-
-	result = packet_get_addr( packet, ( uint8_t ** ) & src, ( uint8_t ** ) & dest );
-	if( result <= 0 ) return EINVAL;
-	addrlen = ( socklen_t ) result;
-	if( packet_get_data_length( packet ) <= sizeof( ip_header_t )) return ENOMEM;
+	packet_t new_packet;
+	ip_header_ref header;
+	ip_header_ref middle_header;
+	ip_header_ref last_header;
+	struct sockaddr * src;
+	struct sockaddr * dest;
+	socklen_t addrlen;
+	int result;
+
+	result = packet_get_addr(packet, (uint8_t **) &src, (uint8_t **) &dest);
+	if(result <= 0){
+		return EINVAL;
+	}
+	addrlen = (socklen_t) result;
+	if(packet_get_data_length(packet) <= sizeof(ip_header_t)){
+		return ENOMEM;
+	}
 	// get header
-	header = ( ip_header_ref ) packet_get_data( packet );
-	if( ! header ) return EINVAL;
+	header = (ip_header_ref) packet_get_data(packet);
+	if(! header){
+		return EINVAL;
+	}
 	// fragmentation forbidden?
-	if( header->flags & IPFLAG_DONT_FRAGMENT ){
+	if(header->flags &IPFLAG_DONT_FRAGMENT){
 		return EPERM;
 	}
 	// create the last fragment
-	new_packet = packet_get_4( ip_globals.net_phone, prefix, length, suffix, (( addrlen > addr_len ) ? addrlen : addr_len ));
-	if( ! new_packet ) return ENOMEM;
+	new_packet = packet_get_4(ip_globals.net_phone, prefix, length, suffix, ((addrlen > addr_len) ? addrlen : addr_len));
+	if(! new_packet){
+		return ENOMEM;
+	}
 	// allocate as much as originally
-	last_header = ( ip_header_ref ) packet_suffix( new_packet, IP_HEADER_LENGTH( header ));
-	if( ! last_header ){
-		return ip_release_and_return( packet, ENOMEM );
-	}
-	ip_create_last_header( last_header, header );
+	last_header = (ip_header_ref) packet_suffix(new_packet, IP_HEADER_LENGTH(header));
+	if(! last_header){
+		return ip_release_and_return(packet, ENOMEM);
+	}
+	ip_create_last_header(last_header, header);
 	// trim the unused space
-	if( ERROR_OCCURRED( packet_trim( new_packet, 0, IP_HEADER_LENGTH( header ) - IP_HEADER_LENGTH( last_header )))){
-		return ip_release_and_return( packet, ERROR_CODE );
+	if(ERROR_OCCURRED(packet_trim(new_packet, 0, IP_HEADER_LENGTH(header) - IP_HEADER_LENGTH(last_header)))){
+		return ip_release_and_return(packet, ERROR_CODE);
 	}
 	// biggest multiple of 8 lower than content
 	// TODO even fragmentation?
-	length = length & ( ~ 0x7 );// ( content / 8 ) * 8
-	if( ERROR_OCCURRED( ip_fragment_packet_data( packet, new_packet, header, last_header, (( IP_HEADER_DATA_LENGTH( header ) - (( length - IP_HEADER_LENGTH( header )) & ( ~ 0x7 ))) % (( length - IP_HEADER_LENGTH( last_header )) & ( ~ 0x7 ))), src, dest, addrlen ))){
-		return ip_release_and_return( packet, ERROR_CODE );
+	length = length &(~ 0x7);// (content / 8) * 8
+	if(ERROR_OCCURRED(ip_fragment_packet_data(packet, new_packet, header, last_header, ((IP_HEADER_DATA_LENGTH(header) - ((length - IP_HEADER_LENGTH(header)) &(~ 0x7))) % ((length - IP_HEADER_LENGTH(last_header)) &(~ 0x7))), src, dest, addrlen))){
+		return ip_release_and_return(packet, ERROR_CODE);
 	}
 	// mark the first as fragmented
 	header->flags |= IPFLAG_MORE_FRAGMENTS;
 	// create middle framgents
-	while( IP_TOTAL_LENGTH( header ) > length ){
-		new_packet = packet_get_4( ip_globals.net_phone, prefix, length, suffix, (( addrlen >= addr_len ) ? addrlen : addr_len ));
-		if( ! new_packet ) return ENOMEM;
-		middle_header = ip_create_middle_header( new_packet, last_header );
-		if( ! middle_header ){
-			return ip_release_and_return( packet, ENOMEM );
-		}
-		if( ERROR_OCCURRED( ip_fragment_packet_data( packet, new_packet, header, middle_header, ( length - IP_HEADER_LENGTH( middle_header )) & ( ~ 0x7 ), src, dest, addrlen ))){
-			return ip_release_and_return( packet, ERROR_CODE );
+	while(IP_TOTAL_LENGTH(header) > length){
+		new_packet = packet_get_4(ip_globals.net_phone, prefix, length, suffix, ((addrlen >= addr_len) ? addrlen : addr_len));
+		if(! new_packet){
+			return ENOMEM;
+		}
+		middle_header = ip_create_middle_header(new_packet, last_header);
+		if(! middle_header){
+			return ip_release_and_return(packet, ENOMEM);
+		}
+		if(ERROR_OCCURRED(ip_fragment_packet_data(packet, new_packet, header, middle_header, (length - IP_HEADER_LENGTH(middle_header)) &(~ 0x7), src, dest, addrlen))){
+			return ip_release_and_return(packet, ERROR_CODE);
 		}
 	}
 	// finish the first fragment
-	header->header_checksum = IP_HEADER_CHECKSUM( header );
+	header->header_checksum = IP_HEADER_CHECKSUM(header);
 	return EOK;
 }
 
-int ip_fragment_packet_data( packet_t packet, packet_t new_packet, ip_header_ref header, ip_header_ref new_header, size_t length, const struct sockaddr * src, const struct sockaddr * dest, socklen_t addrlen ){
+int ip_fragment_packet_data(packet_t packet, packet_t new_packet, ip_header_ref header, ip_header_ref new_header, size_t length, const struct sockaddr * src, const struct sockaddr * dest, socklen_t addrlen){
 	ERROR_DECLARE;
 
-	void *			data;
-	size_t			offset;
-
-	data = packet_suffix( new_packet, length );
-	if( ! data ) return ENOMEM;
-	memcpy( data, (( void * ) header ) + IP_TOTAL_LENGTH( header ) - length, length );
-	ERROR_PROPAGATE( packet_trim( packet, 0, length ));
-	header->total_length = htons( IP_TOTAL_LENGTH( header ) - length );
-	new_header->total_length = htons( IP_HEADER_LENGTH( new_header ) + length );
-	offset = IP_FRAGMENT_OFFSET( header ) + IP_HEADER_DATA_LENGTH( header );
-	new_header->fragment_offset_high = IP_COMPUTE_FRAGMENT_OFFSET_HIGH( offset );
-	new_header->fragment_offset_low = IP_COMPUTE_FRAGMENT_OFFSET_LOW( offset );
-	new_header->header_checksum = IP_HEADER_CHECKSUM( new_header );
-	ERROR_PROPAGATE( packet_set_addr( new_packet, ( const uint8_t * ) src, ( const uint8_t * ) dest, addrlen ));
-	return pq_insert_after( packet, new_packet );
-}
-
-ip_header_ref ip_create_middle_header( packet_t packet, ip_header_ref last ){
-	ip_header_ref	middle;
-
-	middle = ( ip_header_ref ) packet_suffix( packet, IP_HEADER_LENGTH( last ));
-	if( ! middle ) return NULL;
-	memcpy( middle, last, IP_HEADER_LENGTH( last ));
+	void * data;
+	size_t offset;
+
+	data = packet_suffix(new_packet, length);
+	if(! data){
+		return ENOMEM;
+	}
+	memcpy(data, ((void *) header) + IP_TOTAL_LENGTH(header) - length, length);
+	ERROR_PROPAGATE(packet_trim(packet, 0, length));
+	header->total_length = htons(IP_TOTAL_LENGTH(header) - length);
+	new_header->total_length = htons(IP_HEADER_LENGTH(new_header) + length);
+	offset = IP_FRAGMENT_OFFSET(header) + IP_HEADER_DATA_LENGTH(header);
+	new_header->fragment_offset_high = IP_COMPUTE_FRAGMENT_OFFSET_HIGH(offset);
+	new_header->fragment_offset_low = IP_COMPUTE_FRAGMENT_OFFSET_LOW(offset);
+	new_header->header_checksum = IP_HEADER_CHECKSUM(new_header);
+	ERROR_PROPAGATE(packet_set_addr(new_packet, (const uint8_t *) src, (const uint8_t *) dest, addrlen));
+	return pq_insert_after(packet, new_packet);
+}
+
+ip_header_ref ip_create_middle_header(packet_t packet, ip_header_ref last){
+	ip_header_ref middle;
+
+	middle = (ip_header_ref) packet_suffix(packet, IP_HEADER_LENGTH(last));
+	if(! middle){
+		return NULL;
+	}
+	memcpy(middle, last, IP_HEADER_LENGTH(last));
 	middle->flags |= IPFLAG_MORE_FRAGMENTS;
 	return middle;
 }
 
-void ip_create_last_header( ip_header_ref last, ip_header_ref first ){
-	ip_option_ref	option;
-	size_t			next;
-	size_t			length;
+void ip_create_last_header(ip_header_ref last, ip_header_ref first){
+	ip_option_ref option;
+	size_t next;
+	size_t length;
 
 	// copy first itself
-	memcpy( last, first, sizeof( ip_header_t ));
-	length = sizeof( ip_header_t );
-	next = sizeof( ip_header_t );
+	memcpy(last, first, sizeof(ip_header_t));
+	length = sizeof(ip_header_t);
+	next = sizeof(ip_header_t);
 	// process all ip options
-	while( next < first->header_length ){
-		option = ( ip_option_ref ) ((( uint8_t * ) first ) + next );
+	while(next < first->header_length){
+		option = (ip_option_ref) (((uint8_t *) first) + next);
 		// skip end or noop
-		if(( option->type == IPOPT_END ) || ( option->type == IPOPT_NOOP )){
+		if((option->type == IPOPT_END) || (option->type == IPOPT_NOOP)){
 			++ next;
 		}else{
 			// copy if said so or skip
-			if( IPOPT_COPIED( option->type )){
-				memcpy((( uint8_t * ) last ) + length, (( uint8_t * ) first ) + next, option->length );
+			if(IPOPT_COPIED(option->type)){
+				memcpy(((uint8_t *) last) + length, ((uint8_t *) first) + next, option->length);
 				length += option->length;
 			}
@@ -1185,6 +1235,6 @@
 	}
 	// align 4 byte boundary
-	if( length % 4 ){
-		bzero((( uint8_t * ) last ) + length, 4 - ( length % 4 ));
+	if(length % 4){
+		bzero(((uint8_t *) last) + length, 4 - (length % 4));
 		last->header_length = length / 4 + 1;
 	}else{
@@ -1194,92 +1244,92 @@
 }
 
-int ip_receive_message( device_id_t device_id, packet_t packet ){
-	packet_t		next;
+int ip_receive_message(device_id_t device_id, packet_t packet){
+	packet_t next;
 
 	do{
-		next = pq_detach( packet );
-		ip_process_packet( device_id, packet );
+		next = pq_detach(packet);
+		ip_process_packet(device_id, packet);
 		packet = next;
-	}while( packet );
+	}while(packet);
 	return EOK;
 }
 
-int ip_process_packet( device_id_t device_id, packet_t packet ){
+int ip_process_packet(device_id_t device_id, packet_t packet){
 	ERROR_DECLARE;
 
-	ip_header_ref	header;
-	in_addr_t		dest;
-	ip_route_ref	route;
-	int				phone;
-	struct sockaddr *	addr;
-	struct sockaddr_in	addr_in;
+	ip_header_ref header;
+	in_addr_t dest;
+	ip_route_ref route;
+	int phone;
+	struct sockaddr * addr;
+	struct sockaddr_in addr_in;
 //	struct sockaddr_in	addr_in6;
-	socklen_t		addrlen;
-
-	header = ( ip_header_ref ) packet_get_data( packet );
-	if( ! header ){
-		return ip_release_and_return( packet, ENOMEM );
+	socklen_t addrlen;
+
+	header = (ip_header_ref) packet_get_data(packet);
+	if(! header){
+		return ip_release_and_return(packet, ENOMEM);
 	}
 	// checksum
-	if(( header->header_checksum ) && ( IP_HEADER_CHECKSUM( header ) != IP_CHECKSUM_ZERO )){
-		phone = ip_prepare_icmp_and_get_phone( 0, packet, header );
-		if( phone >= 0 ){
+	if((header->header_checksum) && (IP_HEADER_CHECKSUM(header) != IP_CHECKSUM_ZERO)){
+		phone = ip_prepare_icmp_and_get_phone(0, packet, header);
+		if(phone >= 0){
 			// checksum error ICMP
-			icmp_parameter_problem_msg( phone, ICMP_PARAM_POINTER, (( size_t ) (( void * ) & header->header_checksum )) - (( size_t ) (( void * ) header )), packet );
+			icmp_parameter_problem_msg(phone, ICMP_PARAM_POINTER, ((size_t) ((void *) &header->header_checksum)) - ((size_t) ((void *) header)), packet);
 		}
 		return EINVAL;
 	}
-	if( header->ttl <= 1 ){
-		phone = ip_prepare_icmp_and_get_phone( 0, packet, header );
-		if( phone >= 0 ){
+	if(header->ttl <= 1){
+		phone = ip_prepare_icmp_and_get_phone(0, packet, header);
+		if(phone >= 0){
 			// ttl oxceeded ICMP
-			icmp_time_exceeded_msg( phone, ICMP_EXC_TTL, packet );
+			icmp_time_exceeded_msg(phone, ICMP_EXC_TTL, packet);
 		}
 		return EINVAL;
 	}
 	// process ipopt and get destination
-	dest = ip_get_destination( header );
+	dest = ip_get_destination(header);
 	// set the addrination address
-	switch( header->version ){
+	switch(header->version){
 		case IPVERSION:
-			addrlen = sizeof( addr_in );
-			bzero( & addr_in, addrlen );
+			addrlen = sizeof(addr_in);
+			bzero(&addr_in, addrlen);
 			addr_in.sin_family = AF_INET;
-			memcpy( & addr_in.sin_addr.s_addr, & dest, sizeof( dest ));
-			addr = ( struct sockaddr * ) & addr_in;
+			memcpy(&addr_in.sin_addr.s_addr, &dest, sizeof(dest));
+			addr = (struct sockaddr *) &addr_in;
 			break;
 /*		case IPv6VERSION:
-			addrlen = sizeof( dest_in6 );
-			bzero( & dest_in6, addrlen );
+			addrlen = sizeof(dest_in6);
+			bzero(&dest_in6, addrlen);
 			dest_in6.sin6_family = AF_INET6;
-			memcpy( & dest_in6.sin6_addr.s6_addr, );
-			dest = ( struct sockaddr * ) & dest_in;
+			memcpy(&dest_in6.sin6_addr.s6_addr,);
+			dest = (struct sockaddr *) &dest_in;
 			break;
 */		default:
-			return ip_release_and_return( packet, EAFNOSUPPORT );
-	}
-	ERROR_PROPAGATE( packet_set_addr( packet, NULL, ( uint8_t * ) & addr, addrlen ));
-	route = ip_find_route( dest );
-	if( ! route ){
-		phone = ip_prepare_icmp_and_get_phone( 0, packet, header );
-		if( phone >= 0 ){
+			return ip_release_and_return(packet, EAFNOSUPPORT);
+	}
+	ERROR_PROPAGATE(packet_set_addr(packet, NULL, (uint8_t *) &addr, addrlen));
+	route = ip_find_route(dest);
+	if(! route){
+		phone = ip_prepare_icmp_and_get_phone(0, packet, header);
+		if(phone >= 0){
 			// unreachable ICMP
-			icmp_destination_unreachable_msg( phone, ICMP_HOST_UNREACH, 0, packet );
+			icmp_destination_unreachable_msg(phone, ICMP_HOST_UNREACH, 0, packet);
 		}
 		return ENOENT;
 	}
-	if( route->address.s_addr == dest.s_addr ){
+	if(route->address.s_addr == dest.s_addr){
 		// local delivery
-		return ip_deliver_local( device_id, packet, header, 0 );
+		return ip_deliver_local(device_id, packet, header, 0);
 	}else{
 		// only if routing enabled
-		if( route->netif->routing ){
+		if(route->netif->routing){
 			-- header->ttl;
-			return ip_send_route( packet, route->netif, route, NULL, dest, 0 );
+			return ip_send_route(packet, route->netif, route, NULL, dest, 0);
 		}else{
-			phone = ip_prepare_icmp_and_get_phone( 0, packet, header );
-			if( phone >= 0 ){
+			phone = ip_prepare_icmp_and_get_phone(0, packet, header);
+			if(phone >= 0){
 				// unreachable ICMP if no routing
-				icmp_destination_unreachable_msg( phone, ICMP_HOST_UNREACH, 0, packet );
+				icmp_destination_unreachable_msg(phone, ICMP_HOST_UNREACH, 0, packet);
 			}
 			return ENOENT;
@@ -1288,116 +1338,116 @@
 }
 
-int ip_received_error_msg( int ip_phone, device_id_t device_id, packet_t packet, services_t target, services_t error ){
-	uint8_t *			data;
-	int					offset;
-	icmp_type_t			type;
-	icmp_code_t			code;
-	ip_netif_ref		netif;
-	measured_string_t	address;
-	ip_route_ref		route;
-	ip_header_ref		header;
-
-	switch( error ){
+int ip_received_error_msg(int ip_phone, device_id_t device_id, packet_t packet, services_t target, services_t error){
+	uint8_t * data;
+	int offset;
+	icmp_type_t type;
+	icmp_code_t code;
+	ip_netif_ref netif;
+	measured_string_t address;
+	ip_route_ref route;
+	ip_header_ref header;
+
+	switch(error){
 		case SERVICE_ICMP:
-			offset = icmp_client_process_packet( packet, & type, & code, NULL, NULL );
-			if( offset < 0 ){
-				return ip_release_and_return( packet, ENOMEM );
-			}
-			data = packet_get_data( packet );
-			header = ( ip_header_ref )( data + offset );
+			offset = icmp_client_process_packet(packet, &type, &code, NULL, NULL);
+			if(offset < 0){
+				return ip_release_and_return(packet, ENOMEM);
+			}
+			data = packet_get_data(packet);
+			header = (ip_header_ref)(data + offset);
 			// destination host unreachable?
-			if(( type == ICMP_DEST_UNREACH ) && ( code == ICMP_HOST_UNREACH )){
-				fibril_rwlock_read_lock( & ip_globals.netifs_lock );
-				netif = ip_netifs_find( & ip_globals.netifs, device_id );
-				if( netif && netif->arp ){
-					route = ip_routes_get_index( & netif->routes, 0 );
+			if((type == ICMP_DEST_UNREACH) && (code == ICMP_HOST_UNREACH)){
+				fibril_rwlock_read_lock(&ip_globals.netifs_lock);
+				netif = ip_netifs_find(&ip_globals.netifs, device_id);
+				if(netif && netif->arp){
+					route = ip_routes_get_index(&netif->routes, 0);
 					// from the same network?
-					if( route && (( route->address.s_addr & route->netmask.s_addr ) == ( header->destination_address & route->netmask.s_addr ))){
+					if(route && ((route->address.s_addr &route->netmask.s_addr) == (header->destination_address &route->netmask.s_addr))){
 						// clear the ARP mapping if any
-						address.value = ( char * ) & header->destination_address;
-						address.length = CONVERT_SIZE( uint8_t, char, sizeof( header->destination_address ));
-						arp_clear_address_req( netif->arp->phone, netif->device_id, SERVICE_IP, & address );
+						address.value = (char *) &header->destination_address;
+						address.length = CONVERT_SIZE(uint8_t, char, sizeof(header->destination_address));
+						arp_clear_address_req(netif->arp->phone, netif->device_id, SERVICE_IP, &address);
 					}
 				}
-				fibril_rwlock_read_unlock( & ip_globals.netifs_lock );
+				fibril_rwlock_read_unlock(&ip_globals.netifs_lock);
 			}
 			break;
 		default:
-			return ip_release_and_return( packet, ENOTSUP );
-	}
-	return ip_deliver_local( device_id, packet, header, error );
-}
-
-int ip_deliver_local( device_id_t device_id, packet_t packet, ip_header_ref header, services_t error ){
+			return ip_release_and_return(packet, ENOTSUP);
+	}
+	return ip_deliver_local(device_id, packet, header, error);
+}
+
+int ip_deliver_local(device_id_t device_id, packet_t packet, ip_header_ref header, services_t error){
 	ERROR_DECLARE;
 
-	ip_proto_ref	proto;
-	int				phone;
-	services_t		service;
-	tl_received_msg_t	received_msg;
-	struct sockaddr *	src;
-	struct sockaddr *	dest;
-	struct sockaddr_in	src_in;
-	struct sockaddr_in	dest_in;
+	ip_proto_ref proto;
+	int phone;
+	services_t service;
+	tl_received_msg_t received_msg;
+	struct sockaddr * src;
+	struct sockaddr * dest;
+	struct sockaddr_in src_in;
+	struct sockaddr_in dest_in;
 //	struct sockaddr_in	src_in6;
 //	struct sockaddr_in	dest_in6;
-	socklen_t		addrlen;
-
-	if(( header->flags & IPFLAG_MORE_FRAGMENTS ) || IP_FRAGMENT_OFFSET( header )){
+	socklen_t addrlen;
+
+	if((header->flags &IPFLAG_MORE_FRAGMENTS) || IP_FRAGMENT_OFFSET(header)){
 		// TODO fragmented
 		return ENOTSUP;
 	}else{
-		switch( header->version ){
+		switch(header->version){
 			case IPVERSION:
-				addrlen = sizeof( src_in );
-				bzero( & src_in, addrlen );
+				addrlen = sizeof(src_in);
+				bzero(&src_in, addrlen);
 				src_in.sin_family = AF_INET;
-				memcpy( & dest_in, & src_in, addrlen );
-				memcpy( & src_in.sin_addr.s_addr, & header->source_address, sizeof( header->source_address ));
-				memcpy( & dest_in.sin_addr.s_addr, & header->destination_address, sizeof( header->destination_address ));
-				src = ( struct sockaddr * ) & src_in;
-				dest = ( struct sockaddr * ) & dest_in;
+				memcpy(&dest_in, &src_in, addrlen);
+				memcpy(&src_in.sin_addr.s_addr, &header->source_address, sizeof(header->source_address));
+				memcpy(&dest_in.sin_addr.s_addr, &header->destination_address, sizeof(header->destination_address));
+				src = (struct sockaddr *) &src_in;
+				dest = (struct sockaddr *) &dest_in;
 				break;
 /*			case IPv6VERSION:
-				addrlen = sizeof( src_in6 );
-				bzero( & src_in6, addrlen );
+				addrlen = sizeof(src_in6);
+				bzero(&src_in6, addrlen);
 				src_in6.sin6_family = AF_INET6;
-				memcpy( & dest_in6, & src_in6, addrlen );
-				memcpy( & src_in6.sin6_addr.s6_addr, );
-				memcpy( & dest_in6.sin6_addr.s6_addr, );
-				src = ( struct sockaddr * ) & src_in;
-				dest = ( struct sockaddr * ) & dest_in;
+				memcpy(&dest_in6, &src_in6, addrlen);
+				memcpy(&src_in6.sin6_addr.s6_addr,);
+				memcpy(&dest_in6.sin6_addr.s6_addr,);
+				src = (struct sockaddr *) &src_in;
+				dest = (struct sockaddr *) &dest_in;
 				break;
 */			default:
-				return ip_release_and_return( packet, EAFNOSUPPORT );
-		}
-		if( ERROR_OCCURRED( packet_set_addr( packet, ( uint8_t * ) src, ( uint8_t * ) dest, addrlen ))){
-			return ip_release_and_return( packet, ERROR_CODE );
+				return ip_release_and_return(packet, EAFNOSUPPORT);
+		}
+		if(ERROR_OCCURRED(packet_set_addr(packet, (uint8_t *) src, (uint8_t *) dest, addrlen))){
+			return ip_release_and_return(packet, ERROR_CODE);
 		}
 		// trim padding if present
-		if(( ! error ) && ( IP_TOTAL_LENGTH( header ) < packet_get_data_length( packet ))){
-			if( ERROR_OCCURRED( packet_trim( packet, 0, packet_get_data_length( packet ) - IP_TOTAL_LENGTH( header )))){
-				return ip_release_and_return( packet, ERROR_CODE );
-			}
-		}
-		fibril_rwlock_read_lock( & ip_globals.protos_lock );
-		proto = ip_protos_find( & ip_globals.protos, header->protocol );
-		if( ! proto ){
-			fibril_rwlock_read_unlock( & ip_globals.protos_lock );
-			phone = ip_prepare_icmp_and_get_phone( error, packet, header );
-			if( phone >= 0 ){
+		if((! error) && (IP_TOTAL_LENGTH(header) < packet_get_data_length(packet))){
+			if(ERROR_OCCURRED(packet_trim(packet, 0, packet_get_data_length(packet) - IP_TOTAL_LENGTH(header)))){
+				return ip_release_and_return(packet, ERROR_CODE);
+			}
+		}
+		fibril_rwlock_read_lock(&ip_globals.protos_lock);
+		proto = ip_protos_find(&ip_globals.protos, header->protocol);
+		if(! proto){
+			fibril_rwlock_read_unlock(&ip_globals.protos_lock);
+			phone = ip_prepare_icmp_and_get_phone(error, packet, header);
+			if(phone >= 0){
 				// unreachable ICMP
-				icmp_destination_unreachable_msg( phone, ICMP_PROT_UNREACH, 0, packet );
+				icmp_destination_unreachable_msg(phone, ICMP_PROT_UNREACH, 0, packet);
 			}
 			return ENOENT;
 		}
-		if( proto->received_msg ){
+		if(proto->received_msg){
 			service = proto->service;
 			received_msg = proto->received_msg;
-			fibril_rwlock_read_unlock( & ip_globals.protos_lock );
-			ERROR_CODE = received_msg( device_id, packet, service, error );
+			fibril_rwlock_read_unlock(&ip_globals.protos_lock);
+			ERROR_CODE = received_msg(device_id, packet, service, error);
 		}else{
-			ERROR_CODE = tl_received_msg( proto->phone, device_id, packet, proto->service, error );
-			fibril_rwlock_read_unlock( & ip_globals.protos_lock );
+			ERROR_CODE = tl_received_msg(proto->phone, device_id, packet, proto->service, error);
+			fibril_rwlock_read_unlock(&ip_globals.protos_lock);
 		}
 		return ERROR_CODE;
@@ -1405,6 +1455,6 @@
 }
 
-in_addr_t ip_get_destination( ip_header_ref header ){
-	in_addr_t	destination;
+in_addr_t ip_get_destination(ip_header_ref header){
+	in_addr_t destination;
 
 	// TODO search set ipopt route?
@@ -1413,97 +1463,107 @@
 }
 
-int ip_prepare_icmp( packet_t packet, ip_header_ref header ){
-	packet_t	next;
-	struct sockaddr *	dest;
-	struct sockaddr_in	dest_in;
+int ip_prepare_icmp(packet_t packet, ip_header_ref header){
+	packet_t next;
+	struct sockaddr * dest;
+	struct sockaddr_in dest_in;
 //	struct sockaddr_in	dest_in6;
-	socklen_t		addrlen;
+	socklen_t addrlen;
 
 	// detach the first packet and release the others
-	next = pq_detach( packet );
-	if( next ){
-		pq_release( ip_globals.net_phone, packet_get_id( next ));
-	}
-	if( ! header ){
-		if( packet_get_data_length( packet ) <= sizeof( ip_header_t )) return ENOMEM;
+	next = pq_detach(packet);
+	if(next){
+		pq_release(ip_globals.net_phone, packet_get_id(next));
+	}
+	if(! header){
+		if(packet_get_data_length(packet) <= sizeof(ip_header_t)){
+			return ENOMEM;
+		}
 		// get header
-		header = ( ip_header_ref ) packet_get_data( packet );
-		if( ! header ) return EINVAL;
+		header = (ip_header_ref) packet_get_data(packet);
+		if(! header){
+			return EINVAL;
+		}
 	}
 	// only for the first fragment
-	if( IP_FRAGMENT_OFFSET( header )) return EINVAL;
+	if(IP_FRAGMENT_OFFSET(header)){
+		return EINVAL;
+	}
 	// not for the ICMP protocol
-	if( header->protocol == IPPROTO_ICMP ){
+	if(header->protocol == IPPROTO_ICMP){
 		return EPERM;
 	}
 	// set the destination address
-	switch( header->version ){
+	switch(header->version){
 		case IPVERSION:
-			addrlen = sizeof( dest_in );
-			bzero( & dest_in, addrlen );
+			addrlen = sizeof(dest_in);
+			bzero(&dest_in, addrlen);
 			dest_in.sin_family = AF_INET;
-			memcpy( & dest_in.sin_addr.s_addr, & header->source_address, sizeof( header->source_address ));
-			dest = ( struct sockaddr * ) & dest_in;
+			memcpy(&dest_in.sin_addr.s_addr, &header->source_address, sizeof(header->source_address));
+			dest = (struct sockaddr *) &dest_in;
 			break;
 /*		case IPv6VERSION:
-			addrlen = sizeof( dest_in6 );
-			bzero( & dest_in6, addrlen );
+			addrlen = sizeof(dest_in6);
+			bzero(&dest_in6, addrlen);
 			dest_in6.sin6_family = AF_INET6;
-			memcpy( & dest_in6.sin6_addr.s6_addr, );
-			dest = ( struct sockaddr * ) & dest_in;
+			memcpy(&dest_in6.sin6_addr.s6_addr,);
+			dest = (struct sockaddr *) &dest_in;
 			break;
 */		default:
 			return EAFNOSUPPORT;
 	}
-	return packet_set_addr( packet, NULL, ( uint8_t * ) dest, addrlen );
-}
-
-int ip_get_icmp_phone( void ){
-	ip_proto_ref	proto;
-	int				phone;
-
-	fibril_rwlock_read_lock( & ip_globals.protos_lock );
-	proto = ip_protos_find( & ip_globals.protos, IPPROTO_ICMP );
+	return packet_set_addr(packet, NULL, (uint8_t *) dest, addrlen);
+}
+
+int ip_get_icmp_phone(void){
+	ip_proto_ref proto;
+	int phone;
+
+	fibril_rwlock_read_lock(&ip_globals.protos_lock);
+	proto = ip_protos_find(&ip_globals.protos, IPPROTO_ICMP);
 	phone = proto ? proto->phone : ENOENT;
-	fibril_rwlock_read_unlock( & ip_globals.protos_lock );
+	fibril_rwlock_read_unlock(&ip_globals.protos_lock);
 	return phone;
 }
 
-int ip_prepare_icmp_and_get_phone( services_t error, packet_t packet, ip_header_ref header ){
-	int	phone;
+int ip_prepare_icmp_and_get_phone(services_t error, packet_t packet, ip_header_ref header){
+	int phone;
 
 	phone = ip_get_icmp_phone();
-	if( error || ( phone < 0 ) || ip_prepare_icmp( packet, header )){
-		return ip_release_and_return( packet, EINVAL );
+	if(error || (phone < 0) || ip_prepare_icmp(packet, header)){
+		return ip_release_and_return(packet, EINVAL);
 	}
 	return phone;
 }
 
-int	ip_release_and_return( packet_t packet, int result ){
-	pq_release( ip_globals.net_phone, packet_get_id( packet ));
+int ip_release_and_return(packet_t packet, int result){
+	pq_release(ip_globals.net_phone, packet_get_id(packet));
 	return result;
 }
 
-int ip_get_route_req( int ip_phone, ip_protocol_t protocol, const struct sockaddr * destination, socklen_t addrlen, device_id_t * device_id, ip_pseudo_header_ref * header, size_t * headerlen ){
-	struct sockaddr_in *	address_in;
+int ip_get_route_req(int ip_phone, ip_protocol_t protocol, const struct sockaddr * destination, socklen_t addrlen, device_id_t * device_id, ip_pseudo_header_ref * header, size_t * headerlen){
+	struct sockaddr_in * address_in;
 //	struct sockaddr_in6 *	address_in6;
-	in_addr_t *				dest;
-	in_addr_t *				src;
-	ip_route_ref			route;
-	ipv4_pseudo_header_ref	header_in;
-
-	if( !( destination && ( addrlen > 0 ))) return EINVAL;
-	if( !( device_id && header && headerlen )) return EBADMEM;
-	if(( size_t ) addrlen < sizeof( struct sockaddr )){
+	in_addr_t * dest;
+	in_addr_t * src;
+	ip_route_ref route;
+	ipv4_pseudo_header_ref header_in;
+
+	if(!(destination && (addrlen > 0))){
 		return EINVAL;
 	}
-	switch( destination->sa_family ){
+	if(!(device_id && header && headerlen)){
+		return EBADMEM;
+	}
+	if((size_t) addrlen < sizeof(struct sockaddr)){
+		return EINVAL;
+	}
+	switch(destination->sa_family){
 		case AF_INET:
-			if( addrlen != sizeof( struct sockaddr_in )){
+			if(addrlen != sizeof(struct sockaddr_in)){
 				return EINVAL;
 			}
-			address_in = ( struct sockaddr_in * ) destination;
-			dest = & address_in->sin_addr;
-			if( ! dest->s_addr ){
+			address_in = (struct sockaddr_in *) destination;
+			dest = &address_in->sin_addr;
+			if(! dest->s_addr){
 				dest->s_addr = IPV4_LOCALHOST_ADDRESS;
 			}
@@ -1511,28 +1571,32 @@
 		// TODO IPv6
 /*		case AF_INET6:
-			if( addrlen != sizeof( struct sockaddr_in6 )) return EINVAL;
-			address_in6 = ( struct sockaddr_in6 * ) dest;
+			if(addrlen != sizeof(struct sockaddr_in6)){
+				return EINVAL;
+			}
+			address_in6 = (struct sockaddr_in6 *) dest;
 			address_in6.sin6_addr.s6_addr;
 */		default:
 			return EAFNOSUPPORT;
 	}
-	fibril_rwlock_read_lock( & ip_globals.lock );
-	route = ip_find_route( * dest );
-	if( !( route && route->netif )){
-		fibril_rwlock_read_unlock( & ip_globals.lock );
+	fibril_rwlock_read_lock(&ip_globals.lock);
+	route = ip_find_route(*dest);
+	if(!(route && route->netif)){
+		fibril_rwlock_read_unlock(&ip_globals.lock);
 		return ENOENT;
 	}
-	* device_id = route->netif->device_id;
-	src = ip_netif_address( route->netif );
-	fibril_rwlock_read_unlock( & ip_globals.lock );
-	* headerlen = sizeof( * header_in );
-	header_in = ( ipv4_pseudo_header_ref ) malloc( * headerlen );
-	if( ! header_in ) return ENOMEM;
-	bzero( header_in, * headerlen );
+	*device_id = route->netif->device_id;
+	src = ip_netif_address(route->netif);
+	fibril_rwlock_read_unlock(&ip_globals.lock);
+	*headerlen = sizeof(*header_in);
+	header_in = (ipv4_pseudo_header_ref) malloc(*headerlen);
+	if(! header_in){
+		return ENOMEM;
+	}
+	bzero(header_in, * headerlen);
 	header_in->destination_address = dest->s_addr;
 	header_in->source_address = src->s_addr;
 	header_in->protocol = protocol;
 	header_in->data_length = 0;
-	* header = ( ip_pseudo_header_ref ) header_in;
+	*header = (ip_pseudo_header_ref) header_in;
 	return EOK;
 }
